First time here? Check out the FAQ!
x

I have OSX 10.5.8. Will ESET Cybersecurity work?

0 votes
asked by about ESET Cybersecurity
edited by

I have OSX 10.5.8. Will ESET Cybersecurity work?

1 Answer

0 votes
answered by (236k points)

NO, according to the official website of the developer, the application doesn't work on OSX versions prior to Snow Leopard (10.6). Your system is not compatible with the application. You might need to upgrade to 10.6 or or a higher version of Mac OSX.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...